Subject: Ethernet problem on 405EXr

From: Felix Radensky <[email-masked]>
Date: Sun, 8 Mar 2009 13:29:27 -0700 (PDT)

Hi,

I'm experiencing a strange problem with ethernet on custom
405EXr based board with 10/100 Micrel PHY in MII mode. I ran
u-boot 2009.01 and linux-2.6.27. In u-boot ethernet works flawlessly.
I didn't have to add any u-boot code to initialize the PHY. In linux
ethernet works only if there was some network activity in u-boot.
In this case NFS root works fine. Otherwise only TX side works
in Linux, ethtool does not report any errors, and resetting the PHY
via mii-tool doesn't help. Autonegotiation seems to work properly.
The only modification I did in linux is to change phy-mode to "mii"
in device tree.

Any help in debugging this is very much appreciated.

Felix.  
-- 
View this message in context: http://www.nabble.com/Ethernet-problem-on-405EXr-tp22402565p22402565.html
Sent from the linuxppc-dev mailing list archive at Nabble.com.